show interlanguage links by default
Closed, ResolvedPublic

Description

The English Wikipedia moved to Vector and the interlanguage links by default are hidden under the title "Languages".

This is a bad idea.

It is perfectly OK to let people hide the interlanguage links if they don't want clutter, but by default they should be shown. If by default they aren't shown, a lot of people may never know that they exist at all.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz23497.
Amire80 created this task.Via LegacyMay 13 2010, 8:26 AM
bzimport added a comment.Via ConduitMay 20 2010, 10:50 PM

bugs wrote:

(In reply to comment #0)

shown, a lot of people may never know that they exist at all.

This is actually very true. Lots of people have commented saying "I can't believe you got rid of the interlanguage links! That was my favorite part!", truly believing that we totally got rid of interwikis.

bzimport added a comment.Via ConduitMay 21 2010, 6:13 AM

node.ue wrote:

Please don't hide interwikis by default. Should be an option for logged-in users. It will hurt small Wikis...

jhsoby added a comment.Via ConduitMay 21 2010, 9:17 AM

(In reply to comment #2)

Please don't hide interwikis by default. Should be an option for logged-in
users. It will hurt small Wikis...

Oh, not only small wikis will be hurt - ALL languages will be hurt, even big languages like French and German. Having just a tiny button with "Languages" instead of the entire thing makes all languages invisible, and fewer people will notice that there are articles in other languages at all, let alone articles in their own language. (Hell, even I thought some articles were only in English when the language menu was collapsed.)

Effeietsanders added a comment.Via ConduitMay 21 2010, 9:29 AM

Would a solution perhaps be to keep them visible by default, but then provide just like with the sitenotice a "hide" button which from then on hides other languages by default (but then ideally also for non-logged in users)?

Amire80 added a comment.Via ConduitMay 21 2010, 9:40 AM

This bug is about the default. The default should be to show all languages. At [[Wikipedia:User_experience_feedback]] many people expressed their dissatisfaction with their hiding.

As i said in the first description, it's good to let people hide all the links if they don't want to see them. It also makes sense to let people show languages in the order they want or to show a short number of languages that are useful to them. There's a gadget in the Hebrew Wikipedia that allows this:

http://he.wikipedia.org/wiki/MediaWiki:Gadget-InterwikiOrder.js

Feel free to reuse it.

Platonides added a comment.Via ConduitJun 3 2010, 4:22 PM

Fixed in r67281.

Platonides added a comment.Via ConduitJun 3 2010, 9:39 PM

Reverted by Trevor in r67299: "This goes against an intentional design decision. To discuss that decision further and submit proposals to change this design please contact Howie Fung <hfung@wikimedia.org> or visit http://usability.wikimedia.org"

Thryduulf added a comment.Via ConduitJun 3 2010, 11:38 PM

(In reply to comment #7)

Reverted by Trevor in r67299: "This goes against an intentional design
decision. To discuss that decision further and submit proposals to change this
design please contact Howie Fung <hfung@wikimedia.org> or visit
http://usability.wikimedia.org"

Where on the usability wiki should this be discussed? There appears to be no active discussion on that wiki? Per bug:23512 and other comments elsewhere, the collapsible menus are not accessible to users of certain browsers. At the very least expanding them by default should be set until that bug is fixed.

Nemo_bis added a comment.Via ConduitJun 11 2010, 3:48 PM

(In reply to comment #7)

Reverted by Trevor in r67299:

"This was essentially reverted by r67559."
See [[mailarchive:foundation-l/2010-June/059011.html]] for the background conclusions and bug 23744 comment 1 for the implementation.

Catrope added a comment.Via ConduitJun 18 2010, 12:37 PM

We are now showing the language links by default, closing as FIXED.

Add Comment